Unify and manage your data

Set up Search Before Create in Veeva Vault CRM

Learn how to set up Search Before Create in Veeva Vault CRM by using the SBC Setup API.

Use the SBC Setup API to configure Search Before Create in Veeva Vault CRM. The API creates or updates the HTML Report configuration, the SBC Config record, and the UI package.

Prerequisites

Before you begin, confirm that the following prerequisites are met:

  • The X-Page tab used to display the Search Before Create page is activated in Veeva Vault CRM.
  • You have the page name ID of the activated top-level X-Page.

    To get the page name ID, in Veeva Vault CRM, navigate to Admin > Configuration > Pages, open the X-Page, and copy the value in Name.

  • The X-page for SBC project property is set to the page name ID of the activated top-level X-Page.
  • The ZIP file that contains the frontend configuration is stored in file storage under SBC_setup_UI_zip_file in RIH. If you provide a file in the API request, that file takes precedence. Otherwise, the most recent file in file storage is used for the SBC interface.

SBC Setup API endpoint

Perform the following steps to confirm that the SBC Setup API endpoint is active and to copy the endpoint URL.

  1. In RIH, navigate to API platform > API collections > Veeva - SBC [v1] > SBC - Setup.
  2. On the Details tab, confirm that the right panel shows Active endpoint.
  3. Under Endpoint URL, click Copy URL.

Request parameters

The following table displays the information required for the SBC Setup API request. Review each field and confirm the values to include in the request.

FieldRequiredDescriptionSample value
fileNoZIP file that contains the UI configuration for Search Before Create. If you do not provide this field, the API uses the most recent file stored in file storage under SBC_setup_UI_zip_file.sbc.zip
name__vYesName of the html_report__v record.Test Page - SBC
platform__vYesPlatform value for the html_report__v record.online__v
name__v_sbc_config__cYesName of the sbc_config__c record.rec_token_test
api_token__c_sbc_config__cYesAPI token used for the Search Before Create import and search endpoints. Collect this value from the Workato API collection client configuration for the SBC API.<api_token>
test_mode__c_sbc_config__cYesIndicates whether test mode is enabled for the import and search recipes.false
timeout_seconds__c_sbc_config__cYesTimeout, in seconds, used by the import and search recipes.30

SBC Setup API request

Use the following steps to submit the SBC Setup API request.

  1. Use the following endpoint and method for the request:
    POST https://{workato_api_base_url}/{environment}/veeva-sbc-vv1/veeva/sbc/setup
  2. Include the following request headers:
    accept: application/json
    Content-Type: multipart/form-data
    API-TOKEN: <api_token>
  3. Add the required request parameters for the HTML Report record and the SBC Config record. The following example displays a complete request:
    curl --location --request POST 'https://{RIH_api_base_url}/{environment}/veeva-sbc-vv1/veeva/sbc/setup' \
    --header 'accept: application/json' \
    --header 'Content-Type: multipart/form-data' \
    --header 'API-TOKEN: <api_token>' \
    --form 'name__v=Test Page - SBC' \
    --form 'platform__v=online__v' \
    --form 'name__v_sbc_config__c=rec_token_test' \
    --form 'api_token__c_sbc_config__c=<api_token>' \
    --form 'test_mode__c_sbc_config__c=false' \
    --form 'timeout_seconds__c_sbc_config__c=30' \
    --form 'file=@sbc.zip'
  4. Optional: Attach the ZIP file in the file field if you want to use a file from the request. If you do not attach a file, the API uses the most recent file stored under SBC_setup_UI_zip_file.
  5. Submit the request.

Result

Search Before Create is set up in Veeva Vault CRM. The HTML Report values, SBC Config values, and UI package are applied through the SBC Setup API request.